---
title: Connection Details
url: https://docs.vultr.com/products/storage/databases/kafka/management/connection/connection-details
description: Learn how to find and use the connection information needed to connect to your Vultr Managed Apache Kafka® instance.
publish_date: 2024-10-16T12:45:25.381290Z
last_updated: 2026-05-26T20:37:40.201834Z
---

# How to Manage Connection Details for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® allows customers to retrieve essential information for connecting to their Kafka database. Users can easily access details such as Host, Port, and SSL certificates to facilitate secure and reliable connections. This user-friendly interface ensures customers have the necessary information at their fingertips to configure their applications and services for seamless integration with their Kafka environment.

Follow this guide to manage connection details for Vultr Managed Apache Kafka® using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Connection Details** under **Overview**.
    1. Click **Copy Connection String**.
    1. Click **Copy URL**.
    1. **Download Signed Certificate** and save the certificate.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**Get Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/get-database) and specify the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**Get Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/get-database) to view additional attributes to add to your request.

    1. Copy the `host`, `port`, `user`, and `password` values.

=== "Vultr CLI"

    1. List all databases and note the target database's ID.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Retrieve connection details by specifying the target database's ID.

        ```console
        $ vultr-cli database get database_id
        ```

        Run `vultr-cli database get --help` to view all options.

=== "Terraform"

    1. If you manage the database with Terraform, you can output connection details from the resource.

        ```terraform
        # Assuming a managed database resource exists
        resource "vultr_database" "kafka" {
            database_engine         = "kafka"
            database_engine_version = "3.7"
            region                  = "atl"
            plan                    = "vultr-dbaas-startup-3x-occ-so-2-30-2"
            label                   = "kafka-cluster-1"
        }

        output "kafka_host" { value = vultr_database.kafka.host }
        output "kafka_port" { value = vultr_database.kafka.port }
        output "kafka_user" { value = vultr_database.kafka.user }
        # output "kafka_password" { value = vultr_database.kafka.password  sensitive = true }
        ```

    1. Apply the configuration and view the outputs with `terraform output`.
